---
title: Offline
description: A conversation with a colleague caused me to consider the consequences of online-only tooling.
date: 2023-10-20
tags:
  - Quick Thoughts
synopsis: A conversation with a colleague caused me to consider the consequences of online-only tooling.
imageURL: /img/kenny-eliason-uq5RMAZdZG4-unsplash.webp
imageAlt: A server rack in the dark with colorful cables draped between the ports of servers and switches.
mastodon_id: "111268603361637013"
---
As part of a project investigating a potential new piece of software, I've been speaking with colleagues and contractors to determine which features they rely on to do their day-to-day tasks, as well as discover any wish-list items for a new platform. In one of these discussions with a colleague, we had covered her relatively simple use case, and moved on to discuss potential features that might be useful. At this juncture, she mentioned, somewhat apologetically, that should a particular workflow be translated to a new platform, it was important to be able to access data and documents offline.

I've long been irritated by the propensity of modern proprietary software to lock in its users with monthly subscriptions and online-only access, allowing them to shut off the supply, as it were, at a moment's notice should a billing cycle fail to complete to their satisfaction, or should they be momentarily unable to subject their user to data collection or surveillance. I'm also no fan of slow, web-based software devouring gigabyte after gigabyte of memory, while requiring at least two machines to operate — a client, and a server. Still, I was struck by my colleague's comment; it seems rare these days that your average computer user has any expectation left that *anything* ought to work without access to the internet. It's a travesty, really.

Compared to the experience of opening Adobe Illustrator or even Outlook on the computer issued by my day-job, the results of switching my personal machines and the workflows for my small business to exclusively FLOSS tooling has felt liberating — no waiting at splash-screens, advertising baked into the OS, or fans screaming from the combined load of endless electron apps competing for their share of system resources; best of all, from spreadsheets, to my IDE, to design files, in order to get work done, not a damned thing requires me to be forever online.
